> ## Documentation Index
> Fetch the complete documentation index at: https://enterprise-docs.bglobale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Product Countries

> Returns the list of ProductCountry objects for the specified products, with per-country shipping, restriction, and VAT details.

Returns the list of ProductCountry objects for the list of products specified.


## OpenAPI

````yaml api-reference/specs/productcountries.yaml POST /Browsing/ProductCountryS
openapi: 3.0.3
info:
  title: ProductCountryS
  version: 1.0.0
  x-scaled-review: true
  description: >-
    Returns the list of ProductCountry objects for the list of products
    specified.
servers:
  - url: https://{globale_api_domain}
    variables:
      globale_api_domain:
        default: globale_api_domain
        description: Global-e API host, supplied to the merchant by Global-e.
security: []
tags:
  - name: ProductCountry
    x-page-title: ProductCountryS
  - name: 'Direction: Merchant → Global-e'
  - name: 'Domain: Browsing & Catalog'
paths:
  /Browsing/ProductCountryS:
    post:
      tags:
        - ProductCountry
      summary: Return the list of ProductCountry objects for the specified products
      description: >-
        Returns the list of ProductCountry objects for the list of products
        specified.
      operationId: productCountryS
      parameters:
        - name: countryCode
          in: query
          schema:
            type: string
          description: 2-char ISO country code of the end customer’s shipping country.
        - name: cultureCode
          in: query
          schema:
            type: string
          description: >-
            ISO culture code. If specified, the textual properties (e.g.
            RestrictionMessage ) will be returned in the requested culture’s
            language if available. Texts in English will be returned by default
        - name: productCode
          in: query
          schema:
            type: array
            items:
              type: string
          description: List of SKU codes (strings) for the products involved
      responses:
        '200':
          description: List of countries and their details for specified products
          content:
            application/json:
              schema:
                type: object
                properties:
                  ProductCountry:
                    type: array
                    items:
                      $ref: '#/components/schemas/ProductCountry'
                    description: List of countries and their details for specified products
components:
  schemas:
    ProductCountry:
      type: object
      title: ProductCountry
      properties:
        CountryCode:
          type: string
          description: 2-char ISO code of the shipping country
        ForbiddanceMessage:
          type: string
          description: >-
            Textual definition of the forbiddance (will be empty if IsForbidden
            is FALSE)
        IsForbidden:
          type: boolean
          description: >-
            Indicates if Global-e supports shipping the product to this country.
            TRUE - Global-e does not support shipping the product to this
            country. Adding this product to the cart must be disabled
            completely. FALSE - The product can be shipped to this country.
        IsRestricted:
          type: boolean
          description: >-
            Indicates if this product has import restrictions for this shipping
            country. TRUE - Product has import restrictions for this shipping
            country. If at least one restricted product is included in the Cart,
            the end customer will not be able to place the order with Global-e
            until the product is either removed from the Cart or a shipping
            country with no restrictions for this product is selected. FALSE -
            Product does not have import restrictions.
        IsVerified:
          type: boolean
          description: >-
            Indicates if product restrictions and other data contained in this
            object have been verified by Global‑e (i.e. some algorithmic
            approximations may be used by the system until manually resolved by
            Global‑e personnel). TRUE - Product restrictions/data have been
            verified. FALSE - Restrictions not verified.
        ProductCode:
          type: string
          description: >-
            SKU code used to identify the product on the Merchant’s site (to be
            mapped on the Global‑e side)
        RestrictionMessage:
          type: string
          description: >-
            Textual definition of the restriction (will be empty if IsRestricted
            is FALSE)
        TTL:
          type: number
          description: >-
            Time-to-live interval (in seconds) before this object must be
            refreshed from the Global-e server. This property overwrites the
            “max-age” header returned by any method call which returns the
            ProductCountry object.
        UploadedViaCatalog:
          type: boolean
          description: >-
            Indicates whether the product was uploaded via catalogue or not.
            TRUE - Product was uploaded via catalogue. FALSE - Product was not
            uploaded via catalogue.
        VATRateType:
          allOf:
            - $ref: '#/components/schemas/VATRateType'
          description: >-
            Product’s VAT rate type or class to be used for this product in this
            shipping country. If not specified, the respective
            VATCategoryCountry’s VATRateType or Country’s DefaultVATRateType
            must be used if applicable according to the UseCountryVAT value for
            this country. Otherwise, the VAT rate defined for this product on
            the Merchant’s site must be used.
    VATRateType:
      type: object
      title: VATRateType
      properties:
        Name:
          type: string
          description: VAT rate type name
        Rate:
          type: number
          description: VAT rate decimal value
        VATRateTypeCode:
          type: string
          description: >-
            VAT rate type (or class) code on the Merchant’s site (to be mapped
            on the Global-e side)

````